<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesAgenda.home.createOrEditLabel"
          data-cy="AgendaCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesAgenda.home.createOrEditLabel')"
        >
          Create or edit a Agenda
        </h2>
        <div>
          <div class="form-group" v-if="agenda.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="agenda.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAgenda.horaMedicamento')" for="agenda-horaMedicamento"
              >Hora Medicamento</label
            >
            <input
              type="number"
              class="form-control"
              name="horaMedicamento"
              id="agenda-horaMedicamento"
              data-cy="horaMedicamento"
              :class="{ valid: !$v.agenda.horaMedicamento.$invalid, invalid: $v.agenda.horaMedicamento.$invalid }"
              v-model.number="$v.agenda.horaMedicamento.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAgenda.medicamento')" for="agenda-medicamento"
              >Medicamento</label
            >
            <select class="form-control" id="agenda-medicamento" data-cy="medicamento" name="medicamento" v-model="agenda.medicamento">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="agenda.medicamento && medicamentoOption.id === agenda.medicamento.id ? agenda.medicamento : medicamentoOption"
                v-for="medicamentoOption in medicamentos"
                :key="medicamentoOption.id"
              >
                {{ medicamentoOption.nombre }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.agenda.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./agenda-update.component.ts"></script>
